jQuery(document).ready(function($) {
  
  var headerImage = $('#the-header-image').height();
  $('#site-header').height(headerImage);

  if ($(window).width() < 1024) {
    var siteHeaderHeight = $('#site-header').height();
    var stickyTop = $('.sticky-top').height();
    var windowHeight = $(window).height();
    $('#primary-nav-box').css('height', windowHeight - siteHeaderHeight - stickyTop + 'px');
  }
  
  $('#primary-nav ul li').filter(function(i) { return $('ul', this).length >= 1; }).each(function(i) {
    $(this).children('a').removeAttr('href');
  });

  if ($(window).width() < 1024) {
    $(function() {
      $('#primary-nav ul li').filter(function(i) { return $('ul', this).length >= 1; }).each(function(i) {
        $(this).children('a').append('<span class="toggle-nav-element">+</span>').addClass('link-has-Children').click(function(e) {
          var $next_ul = $(this).next('ul');
          if ($next_ul.is(':visible')) {
            $(this).children('.toggle-nav-element').text('+');
            $next_ul.slideUp();
            $next_ul.find("ul:visible").slideUp();
            $next_ul.siblings().find('.toggle-nav-element').text('+');
          }
          else {
            $(this).children('.toggle-nav-element').text('-');
            $next_ul.slideDown();
            $(this).siblings().slideDown();
            $(this).siblings().find('.toggle-nav-element').text('+');
            $(this).parent().siblings().each(function(index,element) {
              $(this).find('.toggle-nav-element').text('+');
              $(element).find("ul:visible").slideUp();
              $(element).find('.toggle-nav-element').text('+');
            });
          };
        })
      });
    });
  } 
  else {
    $('#primary-nav ul li').filter(function(i) { return $('ul', this).length >= 1; }).each(function(i) {
      $(this).append('<span class="toggle-nav-element">+</span>')
      $('#primary-nav ul li').hover(function(){
        $(this).children('.toggle-nav-element').text("-");
      }, function() {
        $(this).children('.toggle-nav-element').text("+");
      });
    });
  };

  $('#toggle-search').click(function() {
    $(this).toggleClass('active');
    $('#header-search-form-box').toggleClass('visible');
    $('.header-search-form').toggleClass('visible');
    $('.header-search-field').toggleClass('visible');
    $('.header-search-submit').toggleClass('visible');
    $('html').removeClass('overflow');
    setTimeout(function(){
      $('.header-search-field').focus();
    },50);
    $('#toggle-nav').removeClass('active');
    $('#primary-nav-box').removeClass('visible');
    $('#toggle-social').removeClass('active');
    $('#social-list').removeClass('visible');
  });

  $('#toggle-nav').click(function() {
    $(this).toggleClass('active');
    $('#primary-nav-box').toggleClass('visible');
    $('html').toggleClass('overflow');
    $('#toggle-search').removeClass('active');
    $('#header-search-form-box').removeClass('visible');
    $('.header-search-form').removeClass('visible');
    $('.header-search-field').removeClass('visible');
    $('.header-search-submit').removeClass('visible');
    $('#toggle-social').removeClass('active');
    $('#social-list').removeClass('visible');
    if ($(this).not('.active')) {
      $('#primary-nav ul li').siblings().find("ul:visible").slideUp();
      $('#primary-nav ul li').siblings().find('.toggle-nav-element').text('+');
    }
  });

  $('#toggle-social').click(function() {
    $(this).toggleClass('active');
    $('#social-list').toggleClass('visible');
    $('html').removeClass('overflow');
    $('#toggle-search').removeClass('active');
    $('#header-search-form-box').removeClass('visible');
    $('.header-search-form').removeClass('visible');
    $('.header-search-field').removeClass('visible');
    $('.header-search-submit').removeClass('visible');
    $('#primary-nav-box').removeClass('visible');
    if ($(this).not('.active')) {
      $('#primary-nav ul li').siblings().find("ul:visible").slideUp();
      $('#primary-nav ul li').siblings().find('.toggle-nav-element').text('+');
    }
  });

  $('#primary-nav ul li').mouseenter(function() {
    if ($(window).width() > 1024) {
      $('#header-search-form-box').removeClass('visible');
      $('#toggle-search').removeClass('active');
    }
  });

  $(document).on('click', function (e) {
    if ($(e.target).closest("#toggle-search, #toggle-nav, #toggle-social, #header-search-form-box, #primary-nav-box, #social-list").length === 0) {
      $('#toggle-search').removeClass('active');
      $('#toggle-nav').removeClass('active');
      $('#header-search-form-box').removeClass('visible');
      $('.header-search-form').removeClass('visible');
      $('.header-search-field').removeClass('visible');
      $('.header-search-submit').removeClass('visible');
      $('#primary-nav-box').removeClass('visible');
      $('#toggle-social').removeClass('active');
      $('#social-list').removeClass('visible');
      if ($(window).width() < 1024) {
        $('#primary-nav ul li').siblings().find("ul:visible").slideUp();
        $('#primary-nav ul li').siblings().find('.toggle-nav-element').text('+');    
      }
      $('html').removeClass('overflow');
    }
  });     
        
  $(document).ready(function() {
    $('.header-search-form').submit(function() {
      if($.trim($('.header-search-field').val()) == '') {
        $('.header-search-field').attr("placeholder", object_name.placeholderval2).val("").focus().addClass('error');
        return false;
      }
    })
  });
          
  $('.header-search-field').focusout(function() {
    $('.header-search-field').attr("placeholder", object_name.placeholderval1).focus().removeClass('error');
  });

  $(document).ready(function() {
    $(function () {
      $(window).scroll(function () {
        if ($(this).scrollTop() > 750) {
          $('#back-top').fadeIn();
        } else {
          $('#back-top').fadeOut();
        }
      });
      $('#back-top a').click(function () {
        $('body,html').animate({
          scrollTop: 0
        }, 350);
        return false;
      });
    });
  });

  $('.comment-reply-link').click(function() {
    if ($('#respond').not(".ontop"))  {
      $('#respond').addClass('ontop');
    }
    else {
      $('#respond').removeClass('ontop');
    }
  });
  
  $('#cancel-comment-reply-link').click(function() {
    $('#respond').removeClass('ontop');
  });

  $('.link-pages a .right').parent().addClass('right-pages-nav');

  $('.tagcloud a').each(function() {
    var color = ["#30765c","#f99b15","#ff0000","#6c8992","#6796a6","#275f80","#6796a6"];
    var rand = color[Math.floor(Math.random() * color.length)];
    $(this).css('color',rand);
  });

});