<?php get_header(); ?>
<div class="error-page">
  <h1 class="error-page-title"><?php echo __( '404!', 'affyb' ); ?></h1>
  <h2><?php echo __( 'Ooops, something went wrong...', 'affyb' ); ?></h2>
  <h3><?php echo __( 'the server did not find what was requested', 'affyb' ); ?></h3>
  <p class="architect"><?php echo __( 'Hello visitor.<br />
                                      I am the Webmaster. I created the website. I\'ve been waiting for you. You have many questions, and although the process has altered your consciousness, you remain irrevocably human. Ergo, some of my answers you will understand, and some of them you will not. Concordantly, while your first question may be the most pertinent, you may or may not realize it is also irrelevant.<br />
                                      This error is the sum of a remainder of an unbalanced equation inherent to the programming of the website. Is the eventuality of an anomaly, which despite my sincerest efforts I have been unable to eliminate from what is otherwise a harmony of mathematical precision. While it remains a burden assiduously avoided, it is not unexpected, and thus not beyond a measure of control. Which has led you, inexorably, here.<br />
                                      Now you have to make your choice...', 'affyb' ); ?>
  </p>
  <div class="go-home"><?php echo __( 'Back to', 'affyb' ); ?><a href="<?php echo home_url(); ?>"> <?php echo __( 'Source...', 'affyb' ); ?></a></div>
  <h5><?php echo __( 'Read the latest articles', 'affyb' ); ?></h5>
  <ul class="last-recent">
    <?php
      $args = array( 'posts_per_page' => '10' );
      $recent_posts = new WP_Query($args);
      while( $recent_posts->have_posts() ) :
        $recent_posts->the_post() 
    ?>
    <li>
      <a href="<?php echo get_permalink() ?>"><?php the_title() ?></a>
    </li>
    <?php endwhile; ?>
    <?php wp_reset_postdata(); ?>
  </ul>
</div>
<?php get_footer(); ?>