<?php 
  get_header();
  if (have_posts()) :
?>
<div class="post-archive-box">
  <?php
    echo'<h1 class="page-title">' . __( 'Archive for', 'affyb' ) . ' '; the_archive_title( '', '</h1>' );
    while (have_posts()) : the_post()
  ?>
    <article id="post-<?php the_ID(); ?>" <?php post_class('post-archives'); ?>>
      <?php the_title( sprintf( '<h5 class="archive-post-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h5>' ); ?>
      <div class="info">
        <data class="post-data-created" value="<?php the_time(get_option( 'date_format' )) ?><?php echo get_the_time(); ?>">
          <?php echo __( 'the day', 'affyb' ); ?> <?php the_time('l j F, Y') ?>     
        </data>
      </div>  
    </article>
  <?php endwhile; ?>
</div>
<?php
  load_template( get_template_directory() . '/template-parts/navigation/post-pagination.php', true  );
  endif;
  get_footer();
?>