<div id="comments" class="comments">
  <?php if ( get_option('netiquette') ) { ?>
    <div class="comment-netiquette">
      <h4><?php echo __('COMMENTS', 'affyb'); ?></h4>
      <p><?php echo get_option('netiquette'); ?></p>
    </div>
  <?php }
  else { ?>
    <div class="comment-netiquette">
      <h5 class="comments-title"><?php echo __('COMMENTS', 'affyb'); ?></h5>
      <p class="comment-netiquette"><?php
        echo __('Do not post comments that contain offenses, personal abuse, hate speech, and prejudice, including any form of racial, religious, and sexual discrimination.
        Do not stick with the authors of published articles personally. If you do not agree with the writer\'s opinion or writing style, you can express your position in a respectful way.
        Do not publish personal information and sensitive data from other users.
        Do not write all SHIFT because it is like shouting.
        If you publish texts, photos, or videos from other websites, please quote the source. Better if you put a link to make the source reachable.
        Do not post copyrighted material without prior authorization.
        Do not create or feed FLAME.' ,'affyb'); ?>
        <br /><a href="<?php echo home_url(); ?>"><?php bloginfo('name');?></a> <?php echo __('is not responsible for the content posted by the readers.', 'affyb'); ?>
      </p>
    </div>
  <?php } ?>
  <?php
    if ( have_comments() ) :
    global $comments_by_type;
    $comments_by_type = separate_comments( $comments );
    if ( ! empty( $comments_by_type['comment'] ) ) :
  ?>
  <section id="comments-list" class="comments-list">
    <h5 class="comments-title"><?php comments_number(); ?></h5>
    <?php if ( get_comment_pages_count() > 1 ) : ?>
      <nav id="comments-nav" class="comments-nav">
        <?php paginate_comments_links(); ?>
      </nav>
    <?php endif; ?>
    <ul class="list-comments">
      <?php wp_list_comments( 'type=comment' ); 
      ?>
    </ul>
    <?php if ( get_comment_pages_count() > 1 ) : ?>
      <nav id="comments-nav" class="comments-nav">
        <?php paginate_comments_links(); ?>
      </nav>
    <?php endif; ?>
  </section>
  <?php
    endif;
    if ( ! empty( $comments_by_type['pings'] ) ) :
    $ping_count = count( $comments_by_type['pings'] );
  ?>
  <section id="trackbacks-list" class="comments">
    <h5 class="comments-title"><?php echo '<span class="ping-count">' . esc_html( $ping_count ) . '</span> ' . esc_html( _nx( 'Trackback or Pingback', 'Trackbacks and Pingbacks', $ping_count, 'comments count', 'affyb' ) ); ?></h5>
    <ul>
      <?php wp_list_comments( 'type=pings&callback=affyb_custom_pings' ); ?>
    </ul>
  </section>
  <?php
    endif;
    endif;
    if ( comments_open() ) { comment_form(); }
  ?>
</div>