<?php get_header(); ?>
<div class="post-archive-box">
  <h1 class="search-post-title"><?php echo __( 'Search result', 'affyb' ); ?></h1>
  <?php if (have_posts()) : ?>
    <h3 class="search-result-title">
      <?php 
        $hit_count = $wp_query->found_posts;
        echo __( 'The search for', 'affyb' ); ?>&nbsp;&#8220;<span><?php the_search_query(); ?></span>&#8221;&nbsp;<?php echo __( 'provided', 'affyb' ); ?>&nbsp;<?php echo $hit_count;
        if ( $hit_count > 1 ) {
          echo '&nbsp;' . __( 'results', 'affyb' );
        }
        else {
          echo '&nbsp;' . __( 'result', 'affyb' );
        }
      ?>
    </h3>
    <?php while (have_posts()) : the_post(); ?>
      <article id="post-<?php the_ID(); ?>" <?php post_class('post-search'); ?>>
        <?php the_title( sprintf( '<h5 class="archive-post-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h5>' ); ?>
        <div class="info">
          <data class="post-data-created" value="<?php the_time(get_option( 'date_format' )) ?><?php echo get_the_time(); ?>">
            <?php echo __( 'the day', 'affyb' ); ?> <?php the_time('l j F, Y') ?>    
          </data>
        </div>
      </article>
    <?php 
      endwhile;
      else :
    ?>
    <h3 class="search-result-title">
      <?php echo __( 'The search for', 'affyb' ); ?>&nbsp;&#8220;<span><?php echo esc_html( get_search_query( false ) ); ?></span>&#8221;&nbsp;<?php echo __( 'he gave no results', 'affyb' ); ?>
    </h3>
    <h4 class="search-noresult-message"><?php echo __( 'unfortunately you did not find what you were looking for...', 'affyb' ); ?></h4>
    <div class="go-home"><?php echo __( 'Back to the', 'affyb' ); ?><a href="<?php echo home_url(); ?>"> <?php echo __( 'Homepage', 'affyb' ); ?></a></div>
    <h5 class="read-latest"><?php echo __( 'Or read the most recent articles', 'affyb' ); ?></h5>
    <ul class="last-recent">
      <?php $recent_posts = wp_get_recent_posts();
        foreach( $recent_posts as $recent ){
          if($recent['post_status']=="publish"){
            echo '<li><a href="' . get_permalink($recent["ID"]) . '" title="' . esc_attr($recent["post_title"]) . '" >' . esc_attr($recent["post_title"]) . '</a></li> ';
          }
        }
      ?>
    </ul>
  <?php
    endif;
  ?>
</div>
<?php 
  load_template( get_template_directory() . '/template-parts/navigation/post-pagination.php', true  );
  get_footer();
?>